Skip to main content
GET
/
environment
/
{environmentId}
/
lifecycleTemplate
/
{lifecycleTemplateId}
Get specific lifecycle template
curl --request GET \
  --url https://api.qovery.com/environment/{environmentId}/lifecycleTemplate/{lifecycleTemplateId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "sourceUrl": "<string>",
  "cloud_provider": "AWS",
  "events": [
    {
      "name": "<string>",
      "command": [
        "<string>"
      ],
      "entrypoint": "<string>"
    }
  ],
  "max_duration_in_sec": 123,
  "resources": {
    "cpu_milli": 123,
    "ram_mib": 123
  },
  "variables": [
    {
      "name": "<string>",
      "description": "<string>",
      "default": "<string>",
      "is_secret": true,
      "file": {
        "path": "<string>",
        "enable_interpolation": false
      }
    }
  ],
  "dockerfile": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string
required
lifecycleTemplateId
string
required

Response

Lifecycle template

id
string<uuid>
required
name
string
required
description
string
required
sourceUrl
string<uri>
required

location of the template

cloud_provider
enum<string>
required
Available options:
AWS,
SCW,
GCP,
ON_PREMISE,
AZURE
events
object[]
required

lis of pre-defined command for each event

max_duration_in_sec
integer
required

Job max allowed duration in seconds. After this allowed time, the job is going to be killed.

resources
object
required
variables
object[]
required

Variables to inject at the creation of this lifecycle job

dockerfile
string
required

Dockerfile of the template